
%% Description
% Matrix elements and coefficient list

%% Digital System

adc_coefficient=16384/10; % [ct/V]
dac_coefficient=10/32768; % [V/ct]



%% Sensor

sensitivity_LVDT = 2e3; % [V/m]
ct2um_LVDT       = 1e6/sensitivity_LVDT/adc_coefficient; % [um/ct]

sensitivity_OSEM = 5e4; % [V/m]
ct2um_OSEM       = 1e6/sensitivity_OSEM/adc_coefficient; % [um/ct]

sensitivity_GEO  = ...
    zpk([0;0],[-2.13+1i*5.91;-2.13-1i*5.91],262); % [V/(m/sec)] L-4C

sensitivity_GEOt = ...
    zpk(0,[-2.13+1i*5.91;-2.13-1i*5.91],262*9.81); % [V/rad] L-4C

ct2um_GEO        = ...
    zpk([-2.13+1i*5.91;-2.13-1i*5.91],[0;0;0],2.33); % [um/ct] L-4C

sensitivity_OpLev= 1;
ct2um_OpLev      = 1e6/sensitivity_OpLev/adc_coefficient; % [urad/ct]


%% Actuator

resistor_F0 =     50; % [Ohm]
acteff_F0   =   25e0; % [N/A]

resistor_IM =     60; % [Ohm]
acteff_IM   = 250e-3; % [N/A]

resistor_TM =    100; % [Ohm]
acteff_TM   =  10e-3; % [N/A]




%% Top Stage MATRIX

rIP=0.600;

matF0=...
    [1   0          rIP;...
    -1/2 -sqrt(3)/2 rIP;...
    -1/2 +sqrt(3)/2 rIP];

matF0act=matF0';
matF0sen=matF0;
matF0sen2=inv(matF0);
matF0act2=inv(matF0');






%% Intermediate Stage MATRIX

zIM=0.085;rIM=0.095;yIR=0.076;

matIR=...
    [-1  0  0   0  +zIM -yIR;
     +1  0  0   0  +zIM +yIR;
      0  0 +1 -yIR   0    0 ;
      0 -1 0 +rIP/2 0 -rIP*sqrt(3)/2;
      0 -1 0 +rIP/2 0 +rIP*sqrt(3)/2;
      0 -1 0 -rIP   0 0];
matIM=...
    [+1  0  0   0 -zIM  0;
     -1  0  0   0 -zIM  0;
      0  0 -1   0   0   0;
      0 +1 0 -rIP/2 0 +rIP*sqrt(3)/2;
      0 +1 0 -rIP/2 0 -rIP*sqrt(3)/2;
      0 +1 0 +rIP 0 0];
  
matIMsen=[matIR matIM];
matIMact=[matIR matIM]';
matIMsen2=inv(matIM);
matIMact2=inv(matIM');


%% Test Mass MATRIX

sTM=0.12/sqrt(2);

matRM=...
    [-1 -sTM    0;
     -1    0 +sTM;
     -1 +sTM -sTM;
     -1    0 -sTM];
 
 matTM=...
    [+1 +sTM    0;
     +1    0 -sTM;
     +1 -sTM    0;
     +1    0 +sTM];
 
matTMact =[matRM matTM]';

matTMact2=...
    [+1/4     +1/4     +1/4     +1/4    ;
     +1/sTM/2   0      -1/sTM/2   0     ;
       0      -1/sTM/2   0      +1/sTM/2]';

