%% Sensor Blending LVDT + GEO
wF0b=2*pi*0.04;  % 100mHz Blending

% 4th ORDER BLENDING
blendF0LVDT = zpk(wF0b*[-1/3-1i*sqrt(2)/3;-1/3+1i*sqrt(2)/3],...
    wF0b*[-1/2-1i*sqrt(3)/2;-1/2-1i*sqrt(3)/2;-1/2+1i*sqrt(3)/2;-1/2+1i*sqrt(3)/2],   3*wF0b^2);
blendF0GEO  = zpk(wF0b*[-2;0;0;0],...
    wF0b*[-1/2-1i*sqrt(3)/2;-1/2-1i*sqrt(3)/2;-1/2+1i*sqrt(3)/2;-1/2+1i*sqrt(3)/2],          1);
ct2um_GEO  = minreal(ct2um_GEO * blendF0GEO);
% blendtest=blendF0LVDT+blendF0GEO;


%% Servo Filter F0
% Butter
[zb,pb,kb]=butter(4,2*pi*5,'low','s'); % 4th Order, 10Hz Cutoff

% Top Stage


%wF0bst=2*pi*0.2; % Boost
filterF0z=zpk([-2*pi*0.05;-2*pi*0.03;zb],[-2*pi*0.01;pb],kb*3);%*...
    %zpk(wF0bst*[-1;-1],wF0bst*[-1/5+1i*sqrt(24)/5;-1/5-1i*sqrt(24)/5],1);
    %zpk(wF0bst*[-1;-1],wF0bst*[-1/10+1i*sqrt(99)/10;-1/10-1i*sqrt(99)/10],1);

filterF0x  =filterF0z;
filterF0yaw=filterF0z;
    
%% Servo Filter GAS

filterGAS = zpk([-2*pi*0.1;zb],[-2*pi*0.001;pb],kb*1);
    
    
%% Servo Filter IM
% Butter
[zt,pt,kt]=butter(4,2*pi*100,'low','s'); % 4th Order, 30Hz Cutoff

filterIMx    = zpk([0;zt],pt,kt*1e2 );
filterIMy    = zpk([0;zt],pt,kt*2e2 );
filterIMz    = zpk([0;zt],pt,kt*1e2 );
filterIMpitch= zpk([0;zt],pt,kt*1e0 );
filterIMyaw  = zpk([0;zt],pt,kt*1e0 );
filterIMroll = zpk([0;zt],pt,kt*1e0 );

%% Servo Filter OL
% yaw
[zt,pt,kt]=butter(4,2*pi*1,'low','s'); % 4th Order, 30Hz Cutoff

fn=1.97;
zn=2*pi*fn*[-1/1000+1i;-1/1000-1i];
pn=2*pi*fn*[-1;-1];
kn=1;

fpm=0.25;kpm=2;
zpm=2*pi*fpm*(-1/kpm);
ppm=2*pi*fpm*(-1);

filterOLyaw  = zpk(...
    [-2*pi*0.05;-2*pi*0.1;zt;zn;zpm],...
    [-2*pi*0.002;pt;pn;ppm],...
    2e-1*kn*kt*kpm);

% pitch
[zt,pt,kt]=butter(4,2*pi*2,'low','s'); % 4th Order, 30Hz Cutoff

fn1=1.00;
zn1=2*pi*fn1*[-1/200+1i;-1/200-1i];
pn1=2*pi*fn1*[-1/10+1i;-1/10-1i];
kn1=1;

fn2=1.59;
zn2=2*pi*fn2*[-1/200+1i;-1/200-1i];
pn2=2*pi*fn2*[-1/10+1i;-1/10-1i];
kn2=1;

fn3=4.33;
zn3=2*pi*fn3*[-1/50+1i;-1/50-1i];
pn3=2*pi*fn3*[-1;-1];
kn3=1;

fpm=0.7;kpm=3;
zpm=2*pi*fpm*(-1/kpm);
ppm=2*pi*fpm*(-1);



filterOLpitch= zpk(...
    [-2*pi*0.2;-2*pi*0.2;zt;zpm;zn1;zn2;zn3],...
    [-2*pi*0.004;pt;ppm;pn1;pn2;pn3],...
    2e-1*kn1*kn2*kn3*kt*kpm);



