
%% About This Script
% Suspension control simulator by T. Sekiguchi, since Oct. 2013
% The suspension models are imported from SUMCON in Mathematica.
% Type-B1 (for Recycler) Full Model with Asymmetry

%% Start Calculation
clear all; close all;
addpath('module');

%% Suspension Model
TypeB1_Asym_140106;
sysp=ss(ssA,ssB,ssC,ssD);
sysp.InputName=varinput;
sysp.OutputName=varoutput;

%% Matrices and Feedback Filters
TypeB1_servo_140106_matrix;
filter_TypeB1_140106;

%% Switch Gain
gainF0x    =  -1; gainF0z    =  -1; gainF0yaw  =  -1;
gainGAS    =   0; gainIMx    =   0; gainIMy    =   0;
gainIMz    =   0; gainIMpitch=   0; gainIMyaw  =   0;
gainIMroll =   0; gainOLpitch=   0; gainOLyaw  =   0;

[a,b,c,d] = linmod('TypeB1_servo_140106');
sysfb = ss(a,b,c,d);

%% Switch Gain
gainF0x    =   0; gainF0z    =   0; gainF0yaw  =   0;
gainGAS    =   0; gainIMx    =   0; gainIMy    =   0;
gainIMz    =   0; gainIMpitch=   0; gainIMyaw  =   0;
gainIMroll =   0; gainOLpitch=   0; gainOLyaw  =   0;

[a,b,c,d] = linmod('TypeB1_servo_140106');
sysfb0= ss(a,b,c,d);

%% Plot
%plot_TypeB1_140106_IPctrl_TF;
%plot_TypeB1_140106_TM;
plot_TypeB1_140106_PZ;


%% Close Path Directory
% rmpath('module');


