
%% Information
% SAS Model: Type-A Adv. Virgo-like structure
% Plots    : Transfer function from ground to TM

%% Frequency List
fmin=-2.5;fmax=1;
freq=logspace(fmin,fmax,1001);

%% Feedback Model

[magB1,phsB1]  =mybode(blendF0LVDT,freq); 
[magB2,phsB2]  =mybode(blendF0GEO ,freq);
[magB3,phsB3]  =mybode(blendF0LVDT+blendF0GEO,freq);

[magO1,phsO1]  =mybode(sysfb0(31,53)*filterF0z,freq); % pOLTF


%% Plot 1

% magmin=-5;magmax=1;
% figure(302032); % TF-AdvLikeZ-aIM-sIM
%   subplot(5,1,[1 2 3])
%   loglog(...
%        freq,magB1,'c-',...
%        freq,magB2,'m-',...
%        freq,magB3,'k-',...
%       'LineWidth',2)
%   legend(...
%       'LVDT',...
%       'GEO',...
%       'Total',...
%       'Location','SouthWest')
%   grid on
%   set(gca,'YTick',logspace(magmin,magmax,magmax-magmin+1))
%   ylim([10^(magmin) 10^(magmax)])
%   xlim([10^(fmin) 10^(fmax)])
%   title('Sensor Blending Filter','FontSize',16,'FontWeight','bold')
%   ylabel('Magnitude','FontSize',14,'FontWeight','bold')
%   set(gca,'FontSize',14)
%   
%   subplot(5,1,[4 5])
%   semilogx(...
%       freq,phsB1,'c-',...
%       freq,phsB2,'m-',...
%       freq,phsB3,'k-',...
%       'LineWidth',2)
%   grid on
%   ylim([-180 180])
%   xlim([10^(fmin) 10^(fmax)])
%   ylabel('Phase (deg)','FontSize',14,'FontWeight','bold')
%   xlabel('Frequency (Hz)','FontSize',14,'FontWeight','bold')
%   set(gca,'FontSize',14)
%   set(gca,'YTick',-180:90:180)
  
  
%% Plot 2

magmin=-4;magmax=2;
figure(301052); % OLTF-AdvLikeZ-aIM-sIM
  subplot(5,1,[1 2 3])
  loglog(...
       freq,magO1,'r-',...
      'LineWidth',2)
  legend(...
      'F0 Z',...
      'Location','SouthWest')
  grid on
  set(gca,'YTick',logspace(magmin,magmax,magmax-magmin+1))
  ylim([10^(magmin) 10^(magmax)])
  xlim([10^(fmin) 10^(fmax)])
  title('Open Loop Transfer Function','FontSize',16,'FontWeight','bold')
  ylabel('Magnitude','FontSize',14,'FontWeight','bold')
  set(gca,'FontSize',14)
  
  subplot(5,1,[4 5])
  semilogx(...
      freq,phsO1,'r-',...
      'LineWidth',2)
  grid on
  ylim([-180 180])
  xlim([10^(fmin) 10^(fmax)])
  ylabel('Phase (deg)','FontSize',14,'FontWeight','bold')
  xlabel('Frequency (Hz)','FontSize',14,'FontWeight','bold')
  set(gca,'FontSize',14)
  set(gca,'YTick',-180:90:180)
