
%% Information
% Plots    : Pole-Zero Plot


%% Pole-Zero List Feedback

vecpole1=pole(sysfb);
vecpole1=vecpole1(imag(vecpole1)>1e-6);
vecpolei1=imag(vecpole1)/2/pi;
vecpoler1=-1./real(vecpole1);
[vecpolei1,numpolei1]=sort(vecpolei1);
vecpoler1=vecpoler1(numpolei1);
vecpolec1=[vecpolei1,vecpoler1];


%% Pole-Zero List Passive

vecpole2=pole(sysp);
vecpole2=vecpole2(imag(vecpole2)>1e-5);
vecpolei2=imag(vecpole2)/2/pi;
vecpoler2=-1./real(vecpole2);
[vecpolei2,numpolei2]=sort(vecpolei2);
vecpoler2=vecpoler2(numpolei2);
vecpolec2=[vecpolei2,vecpoler2];

%% Pole-Zero List Feedback ONLY TOP

% vecpole3=pole(sysfb0);
% vecpole3=vecpole3(imag(vecpole3)>1e-6);
% vecpolei3=imag(vecpole3)/2/pi;
% vecpoler3=-1./real(vecpole3);
% [vecpolei3,numpolei3]=sort(vecpolei3);
% vecpoler3=vecpoler3(numpolei3);
% vecpolec3=[vecpolei3,vecpoler3];


%% Q Value
freqvecpole=logspace(-2,2,10);
yvecQ10=10/pi./freqvecpole;
yvecQ1000=1000/pi./freqvecpole;
yvecT60=60*freqvecpole./freqvecpole;

%% Pole-Zero Plot
%figure(301001); % PZ-AdvLikeZ-Feedback
%  pzplot(sysfb);
%figure(301002); % PZ-AdvLikeZ-Passive
%  pzplot(sysp);

%% Freq-Damping LogLog
figure(401001); % FD-AdvLikeZ-Feedback
  loglog(vecpolei1,vecpoler1,'ko',...
       vecpolei2,vecpoler2,'m*',...
       freqvecpole,yvecQ10,'--g',...
       freqvecpole,yvecQ1000,'--r',...
       freqvecpole,yvecT60,'--k',...
       'MarkerFaceColor','k','LineWidth',2);
  grid on;
  legend('F0 Damped','No Damped','Q=10','Q=1000','1 min.')
  title('Frequency vs Damping Time','FontSize',16,'FontWeight','bold')
  ylabel('Damping Time [sec]','FontSize',14,'FontWeight','bold')
  xlabel('Frequency [Hz]','FontSize',14,'FontWeight','bold')
  ylim([10^(-1) 10^(5)])
  set(gca,'FontSize',12)
